@import "~bulma/sass/utilities/_all";

$primary: darken(#C7F767, 10);
$primary-invert: findInvert($primary);

$pink: #FFB3A7;
$pink-invert: findInvert($pink);
$blue: #3498db;
$blue-invert: findInvert($blue);
$bronze: #cd7f32;
$bronze-invert: findInvert($bronze);
$gold: #ffd700;
$gold-invert: findInvert($gold);

$colors: (
  "white": ($white, $black),
  "black": ($black, $white),
  "light": ($light, $light-invert),
  "dark": ($dark, $dark-invert),
  "primary": ($primary, $primary-invert),
  "info": ($info, $info-invert),
  "success": ($success, $success-invert),
  "warning": ($warning, $warning-invert),
  "danger": ($danger, $danger-invert),
  "green": ($green, $green-invert),
  "orange": ($yellow, $yellow-invert), // default orange is too dark
  "red": ($red, $red-invert),
  "pink": ($pink, $pink-invert),
  "blue": ($blue, $blue-invert),
  "bronze": ($bronze, $bronze-invert),
  "gold": ($gold, $gold-invert),
);

$link: $primary;
$tabs-border-bottom-width: 3px;
$navbar-item-hover-background-color: transparent;
$navbar-item-hover-color: $white;
$k-border: 3px dashed $primary;
$navbar-breakpoint: 1265px;
$table-striped-row-even-background-color: $white-ter;
$progress-bar-background-color: $grey-light;

.clickable {
  cursor: pointer !important;
}

.vertical-center {
  margin: 0;
  position: absolute;
  top: 50%;
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
}

.first-letter-colored::first-letter {
  color: $primary;
}

@import "~bulma";
@import "~buefy/src/scss/buefy";
